Bug 1600741 - networkcheck diagnostics test pods die if test pod image is pulled from on-prem/disconnected registry (and work if pulled from registry.access.redhat.com) [NEEDINFO]
Summary: networkcheck diagnostics test pods die if test pod image is pulled from on-pr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.11.z
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 23:11 UTC by Candace Sheremeta
Modified: 2019-12-04 09:20 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2019-06-26 09:07:51 UTC
Target Upstream Version:
cshereme: needinfo? (rpenta)
cshereme: needinfo? (dmace)


Attachments (Terms of Use)
Testing log from oc adm diagnostics networkcheck (240.87 KB, text/plain)
2018-12-06 21:18 UTC, Weibin Liang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1605 None None None 2019-06-26 09:07:59 UTC

Description Candace Sheremeta 2018-07-12 23:11:50 UTC

Comment 5 Ravi Sankar 2018-08-15 18:31:04 UTC
@cshereme
'--test-pod-image' could be any image that is actually listening on port '--test-pod-port'. Openshift uses 'ose-deployer' image with custom arguments as it expects that image to be present on most of the nodes.
So, using the exact image 'ose-deployer' will not work as it is not listening on any port by default. I will update the help to make it clear.

Comment 8 Ravi Sankar 2018-08-17 03:43:33 UTC
https://github.com/openshift/origin/pull/20677

Comment 9 openshift-github-bot 2018-08-20 15:57:09 UTC
Commits pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/1f0dfc21721b81ad6df9cc82128664f430af673a
Bug 1600741 - Provide better help for network diagnostic flags

We expect network diagnostics to work out of the box without any additional
inputs, '--test-pod-image' and '--pod-image' options were exposed for testing
and to handle the situation where diag pod image pull fails for some reason.

We are not using the exact deployer/ose image directly, instead we are customing
these images by injecting commands. Showing these image names as defaults will
mislead the user, just like what we saw in the bug.
This change will remove the defaults and instead improves the help message for
these flags.

https://github.com/openshift/origin/commit/00984ce27fa72e95ac472f030d02a001985f5821
Merge pull request #20677 from pravisankar/fix-netdiags-help

Bug 1600741 - Provide better help for network diagnostic flags

Comment 13 Weibin Liang 2018-11-28 15:22:00 UTC
@Candace,

As a QE, I need use your Satellite 6.3 to verify this bug in 3.11, could you let me know how I can access your Satellite?

Thanks,
Weibin

Comment 15 Weibin Liang 2018-12-06 21:16:42 UTC
@Ravi,

In latest v3.11.51, run both "oc adm diagnostics networkcheck --logdir=/tmp/network.log", and "oc adm diagnostics networkcheck --pod-image='registry.access.redhat.com/openshift3/ose:latest' --test-pod-image='registry.access.redhat.com/openshift3/ose-deployer:latest' --diaglevel=0 --loglevel=10 --logdir=/tmp/network.log", both testing failed with same error as:

ERROR: [DNet2005 from diagnostic NetworkCheck@openshift/origin/pkg/oc/cli/admin/diagnostics/diagnostics/cluster/network/run_pod.go:202]
       Setting up test environment for network diagnostics failed: Failed to run network diags test pod and service: Failed to run network diags test pods, failed: 11, total: 12, fetching logs failed: [provided options object is not a PodLogOptions, provided options object is not a PodLogOptions, provided options object is not a PodLogOptions, provided options object is not a PodLogOptions, provided options object is not a PodLogOptions, provided options object is not a PodLogOptions, provided options object is not a PodLogOptions, provided options object is not a PodLogOptions, provided options object is not a PodLogOptions, provided options object is not a PodLogOptions, provided options object is not a PodLogOptions, provided options object is not a PodLogOptions]

The entire testing log is attached.

Comment 16 Weibin Liang 2018-12-06 21:18:01 UTC
Created attachment 1512293 [details]
Testing log from oc adm diagnostics networkcheck

Comment 17 Ravi Sankar 2018-12-07 22:00:11 UTC
@weliang
You can not use ose or ose-deployer images directly, please check my comments #5, #7 and #9. Either don't pass the --pod-image/--test-pod-image flags (recommended) or if you are using these flags, pass valid images as specified in the comments (you could use docker.io/openshift/hello-openshift image as --test-pod-image for your testing).

Comment 24 Weibin Liang 2019-05-14 17:53:46 UTC
Hi Candace,

I can retest it in latest v3.9 cluster

Comment 25 Weibin Liang 2019-05-15 20:14:17 UTC
Below two commands failed in v3.11.54, but passed in v3.11.115 now:

oc adm diagnostics networkcheck --diaglevel=0 --loglevel=10
oc adm diagnostics networkcheck --diaglevel=0 --loglevel=10 --test-pod-image='docker.io/openshift/hello-openshift'

Comment 27 errata-xmlrpc 2019-06-26 09:07:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1605


Note You need to log in before you can comment on or make changes to this bug.